Index: acorn26/acorn26/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/acorn26/acorn26/machdep.c,v
retrieving revision 1.19
diff -u -r1.19 machdep.c
--- acorn26/acorn26/machdep.c	22 Feb 2007 04:47:28 -0000	1.19
+++ acorn26/acorn26/machdep.c	17 Mar 2007 01:35:05 -0000
@@ -105,7 +105,7 @@
 #endif
 
 	/* run any shutdown hooks */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 haltsys:
 	if (howto & RB_HALT) {
Index: acorn32/acorn32/hydra.c
===================================================================
RCS file: /cvsroot/src/sys/arch/acorn32/acorn32/hydra.c,v
retrieving revision 1.23
diff -u -r1.23 hydra.c
--- acorn32/acorn32/hydra.c	4 Mar 2007 05:59:05 -0000	1.23
+++ acorn32/acorn32/hydra.c	17 Mar 2007 01:35:05 -0000
@@ -74,7 +74,7 @@
 static int hydra_print(void *, char const *);
 static int hydra_submatch(struct device *, struct cfdata *,
 			  const int *, void *);
-static void hydra_shutdown(void *);
+static void hydra_shutdown(int, void *);
 
 static void hydra_reset(struct hydra_softc *);
 static void hydra_regdump(struct hydra_softc *);
@@ -272,7 +272,7 @@
 }
 
 static void
-hydra_shutdown(void *arg)
+hydra_shutdown(int why, void *arg)
 {
 	struct hydra_softc *sc = arg;
 
Index: acorn32/acorn32/rpc_machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/acorn32/acorn32/rpc_machdep.c,v
retrieving revision 1.65
diff -u -r1.65 rpc_machdep.c
--- acorn32/acorn32/rpc_machdep.c	24 Oct 2006 21:03:13 -0000	1.65
+++ acorn32/acorn32/rpc_machdep.c	17 Mar 2007 01:35:06 -0000
@@ -258,7 +258,7 @@
 	 * and crash to earth fast
 	 */
 	if (cold) {
-		doshutdownhooks();
+		doshutdownhooks(howto);
 		printf("Halted while still in the ICE age.\n");
 		printf("The operating system has halted.\n");
 		printf("Please press any key to reboot.\n\n");
@@ -327,7 +327,7 @@
 		    cmos_read(RTC_ADDR_BOOTOPTS) | 0x02);
 
 	/* Run any shutdown hooks */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	/* Make sure IRQ's are disabled */
 	IRQdisable;
Index: acorn32/eb7500atx/eb7500atx_machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/acorn32/eb7500atx/eb7500atx_machdep.c,v
retrieving revision 1.6
diff -u -r1.6 eb7500atx_machdep.c
--- acorn32/eb7500atx/eb7500atx_machdep.c	24 Oct 2006 21:03:13 -0000	1.6
+++ acorn32/eb7500atx/eb7500atx_machdep.c	17 Mar 2007 01:35:06 -0000
@@ -258,7 +258,7 @@
 	 * and crash to earth fast
 	 */
 	if (cold) {
-		doshutdownhooks();
+		doshutdownhooks(howto);
 		printf("Halted while still in the ICE age.\n");
 		printf("The operating system has halted.\n");
 		printf("Please press any key to reboot.\n\n");
@@ -298,7 +298,7 @@
 	 */
 
 	/* Run any shutdown hooks */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	/* Make sure IRQ's are disabled */
 	IRQdisable;
Index: acorn32/podulebus/amps.c
===================================================================
RCS file: /cvsroot/src/sys/arch/acorn32/podulebus/amps.c,v
retrieving revision 1.12
diff -u -r1.12 amps.c
--- acorn32/podulebus/amps.c	13 Jul 2006 22:56:00 -0000	1.12
+++ acorn32/podulebus/amps.c	17 Mar 2007 01:35:06 -0000
@@ -100,7 +100,7 @@
     amps_probe, amps_attach, NULL, NULL);
 
 int	amps_print(void *, const char *);
-void	amps_shutdown(void *);
+void	amps_shutdown(int, void *);
 
 /*
  * Attach arguments for child devices.
@@ -208,7 +208,8 @@
  */
 
 /*void
-amps_shutdown(arg)
+amps_shutdown(why, arg)
+	int why;
 	void *arg;
 {
 }*/
Index: acorn32/podulebus/icside.c
===================================================================
RCS file: /cvsroot/src/sys/arch/acorn32/podulebus/icside.c,v
retrieving revision 1.26
diff -u -r1.26 icside.c
--- acorn32/podulebus/icside.c	9 Oct 2006 21:12:44 -0000	1.26
+++ acorn32/podulebus/icside.c	17 Mar 2007 01:35:06 -0000
@@ -100,7 +100,7 @@
 int	icside_probe(struct device *, struct cfdata *, void *);
 void	icside_attach(struct device *, struct device *, void *);
 int	icside_intr(void *);
-void	icside_v6_shutdown(void *);
+void	icside_v6_shutdown(int, void *);
 
 CFATTACH_DECL(icside, sizeof(struct icside_softc),
     icside_probe, icside_attach, NULL, NULL);
@@ -322,7 +322,7 @@
  * RISC OS will see it.
  */
 void
-icside_v6_shutdown(void *arg)
+icside_v6_shutdown(int why, void *arg)
 {
 	struct icside_softc *sc = arg;
 
Index: acorn32/podulebus/rapide.c
===================================================================
RCS file: /cvsroot/src/sys/arch/acorn32/podulebus/rapide.c,v
retrieving revision 1.25
diff -u -r1.25 rapide.c
--- acorn32/podulebus/rapide.c	9 Oct 2006 21:12:44 -0000	1.25
+++ acorn32/podulebus/rapide.c	17 Mar 2007 01:35:06 -0000
@@ -128,7 +128,7 @@
 
 int	rapide_probe	__P((struct device *, struct cfdata *, void *));
 void	rapide_attach	__P((struct device *, struct device *, void *));
-void	rapide_shutdown	__P((void *arg));
+void	rapide_shutdown	__P((int howto, void *arg));
 int	rapide_intr	__P((void *));
 
 CFATTACH_DECL(rapide, sizeof(struct rapide_softc),
@@ -326,7 +326,8 @@
  */
 
 void
-rapide_shutdown(arg)
+rapide_shutdown(why, arg)
+	int why;
 	void *arg;
 {
 	struct rapide_softc *sc = arg;
Index: acorn32/podulebus/simide.c
===================================================================
RCS file: /cvsroot/src/sys/arch/acorn32/podulebus/simide.c,v
retrieving revision 1.24
diff -u -r1.24 simide.c
--- acorn32/podulebus/simide.c	24 Sep 2006 23:14:58 -0000	1.24
+++ acorn32/podulebus/simide.c	17 Mar 2007 01:35:06 -0000
@@ -98,7 +98,7 @@
 
 int	simide_probe	__P((struct device *, struct cfdata *, void *));
 void	simide_attach	__P((struct device *, struct device *, void *));
-void	simide_shutdown	__P((void *arg));
+void	simide_shutdown	__P((int why, void *arg));
 int	simide_intr	__P((void *arg));
 
 CFATTACH_DECL(simide, sizeof(struct simide_softc),
@@ -314,7 +314,8 @@
  */
 
 void
-simide_shutdown(arg)
+simide_shutdown(why, arg)
+	int why;
 	void *arg;
 {
 	struct simide_softc *sc = arg;
Index: algor/algor/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/algor/algor/machdep.c,v
retrieving revision 1.34
diff -u -r1.34 machdep.c
--- algor/algor/machdep.c	5 Mar 2007 18:05:20 -0000	1.34
+++ algor/algor/machdep.c	17 Mar 2007 01:35:07 -0000
@@ -721,7 +721,7 @@
 
  haltsys:
 	/* Run any shutdown hooks. */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	if (boothowto & RB_HALT) {
 		printf("\n");
Index: algor/dev/com_mainbus.c
===================================================================
RCS file: /cvsroot/src/sys/arch/algor/dev/com_mainbus.c,v
retrieving revision 1.8
diff -u -r1.8 com_mainbus.c
--- algor/dev/com_mainbus.c	13 Jul 2006 22:56:00 -0000	1.8
+++ algor/dev/com_mainbus.c	17 Mar 2007 01:35:07 -0000
@@ -73,7 +73,7 @@
 
 int	com_mainbus_match(struct device *, struct cfdata *, void *);
 void	com_mainbus_attach(struct device *, struct device *, void *);
-void	com_mainbus_cleanup(void *);
+void	com_mainbus_cleanup(int why, void *);
 
 CFATTACH_DECL(com_mainbus, sizeof(struct com_mainbus_softc),
     com_mainbus_match, com_mainbus_attach, NULL, NULL);
Index: alpha/a12/if_ade.c
===================================================================
RCS file: /cvsroot/src/sys/arch/alpha/a12/if_ade.c,v
retrieving revision 1.28
diff -u -r1.28 if_ade.c
--- alpha/a12/if_ade.c	4 Mar 2007 05:59:08 -0000	1.28
+++ alpha/a12/if_ade.c	17 Mar 2007 01:35:08 -0000
@@ -4745,7 +4745,7 @@
 #if defined(__FreeBSD__)
 
 #define	TULIP_PCI_ATTACH_ARGS	pcici_t config_id, int unit
-#define	TULIP_SHUTDOWN_ARGS	int howto, void *arg
+#define	TULIP_SHUTDOWN_ARGS	int why, void *arg
 
 #if defined(TULIP_DEVCONF)
 static void tulip_shutdown(TULIP_SHUTDOWN_ARGS);
@@ -4958,7 +4958,7 @@
 
 #if defined(__NetBSD__)
 #define	TULIP_PCI_ATTACH_ARGS	struct device * const parent, struct device * const self, void *const aux
-#define	TULIP_SHUTDOWN_ARGS	void *arg
+#define	TULIP_SHUTDOWN_ARGS	int why, void *arg
 static int
 tulip_pci_probe(
     struct device *parent,
Index: alpha/alpha/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/alpha/alpha/machdep.c,v
retrieving revision 1.296
diff -u -r1.296 machdep.c
--- alpha/alpha/machdep.c	4 Mar 2007 14:46:45 -0000	1.296
+++ alpha/alpha/machdep.c	17 Mar 2007 01:35:09 -0000
@@ -1047,7 +1047,7 @@
 haltsys:
 
 	/* run any shutdown hooks */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 #ifdef BOOTKEY
 	printf("hit any key to %s...\n", howto & RB_HALT ? "halt" : "reboot");
Index: alpha/pci/sio_pic.c
===================================================================
RCS file: /cvsroot/src/sys/arch/alpha/pci/sio_pic.c,v
retrieving revision 1.34
diff -u -r1.34 sio_pic.c
--- alpha/pci/sio_pic.c	11 Dec 2005 12:16:17 -0000	1.34
+++ alpha/pci/sio_pic.c	17 Mar 2007 01:35:09 -0000
@@ -131,7 +131,7 @@
 void		(*sio_write_elcr) __P((int, u_int8_t));
 static void	specific_eoi __P((int));
 #ifdef BROKEN_PROM_CONSOLE
-void		sio_intr_shutdown __P((void *));
+void		sio_intr_shutdown __P((int, void *));
 #endif
 
 /******************** i82378 SIO ELCR functions ********************/
@@ -416,7 +416,8 @@
 
 #ifdef BROKEN_PROM_CONSOLE
 void
-sio_intr_shutdown(arg)
+sio_intr_shutdown(why, arg)
+	int why;
 	void *arg;
 {
 	/*
Index: amd64/amd64/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/amd64/amd64/machdep.c,v
retrieving revision 1.52
diff -u -r1.52 machdep.c
--- amd64/amd64/machdep.c	4 Mar 2007 14:36:11 -0000	1.52
+++ amd64/amd64/machdep.c	17 Mar 2007 01:35:09 -0000
@@ -560,7 +560,7 @@
 		dumpsys();
 
 haltsys:
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
         if ((howto & RB_POWERDOWN) == RB_POWERDOWN) {
 #if NACPI > 0
Index: amiga/dev/ioblix_zbus.c
===================================================================
RCS file: /cvsroot/src/sys/arch/amiga/dev/ioblix_zbus.c,v
retrieving revision 1.13
diff -u -r1.13 ioblix_zbus.c
--- amiga/dev/ioblix_zbus.c	11 Dec 2005 12:16:28 -0000	1.13
+++ amiga/dev/ioblix_zbus.c	17 Mar 2007 01:35:09 -0000
@@ -68,7 +68,7 @@
 int iobzmatch(struct device *, struct cfdata *, void *);
 void iobzattach(struct device *, struct device *, void *);
 int iobzprint(void *auxp, const char *);
-void iobz_shutdown(void *);
+void iobz_shutdown(int, void *);
 
 CFATTACH_DECL(iobl_zbus, sizeof(struct iobz_softc),
     iobzmatch, iobzattach, NULL, NULL);
@@ -167,7 +167,7 @@
  */
 
 void
-iobz_shutdown(void *p) {
+iobz_shutdown(int why, void *p) {
 	volatile int8_t *q;
 
 	q = p;
Index: arc/arc/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/arc/arc/machdep.c,v
retrieving revision 1.105
diff -u -r1.105 machdep.c
--- arc/arc/machdep.c	8 Mar 2007 05:33:04 -0000	1.105
+++ arc/arc/machdep.c	17 Mar 2007 01:35:10 -0000
@@ -675,7 +675,7 @@
 	if ((howto & (RB_DUMP | RB_HALT)) == RB_DUMP)
 		dumpsys();
 
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	if (howto & RB_HALT) {
 		printf("\n");
Index: arc/jazz/fd.c
===================================================================
RCS file: /cvsroot/src/sys/arch/arc/jazz/fd.c,v
retrieving revision 1.29
diff -u -r1.29 fd.c
--- arc/jazz/fd.c	6 Mar 2007 13:54:44 -0000	1.29
+++ arc/jazz/fd.c	17 Mar 2007 01:35:10 -0000
@@ -215,6 +215,7 @@
 const struct fd_type *fd_nvtotype(char *, int, int);
 #endif
 void fd_set_motor(struct fdc_softc *, int);
+void fd_motor_shutdown(int, void *);
 void fd_motor_off(void *);
 void fd_motor_on(void *);
 int fdcresult(struct fdc_softc *);
@@ -363,7 +364,7 @@
 	mountroothook_establish(fd_mountroot_hook, &fd->sc_dev);
 
 	/* Needed to power off if the motor is on when we halt. */
-	fd->sc_sdhook = shutdownhook_establish(fd_motor_off, fd);
+	fd->sc_sdhook = shutdownhook_establish(fd_motor_shutdown, fd);
 }
 
 #if 0
@@ -561,6 +562,12 @@
 }
 
 void
+fd_motor_shutdown(int why, void *arg)
+{
+	fd_motor_off(arg);
+}
+
+void
 fd_motor_off(void *arg)
 {
 	struct fd_softc *fd = arg;
Index: atari/atari/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/atari/atari/machdep.c,v
retrieving revision 1.143
diff -u -r1.143 machdep.c
--- atari/atari/machdep.c	4 Mar 2007 05:59:39 -0000	1.143
+++ atari/atari/machdep.c	17 Mar 2007 01:35:11 -0000
@@ -440,7 +440,7 @@
 	 * Call shutdown hooks. Do this _before_ anything might be
 	 * asked to the user in case nobody is there....
 	 */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	splhigh();			/* extreme priority */
 	if(howto & RB_HALT) {
Index: atari/dev/hdfd.c
===================================================================
RCS file: /cvsroot/src/sys/arch/atari/dev/hdfd.c,v
retrieving revision 1.55
diff -u -r1.55 hdfd.c
--- atari/dev/hdfd.c	6 Mar 2007 14:45:31 -0000	1.55
+++ atari/dev/hdfd.c	17 Mar 2007 01:35:11 -0000
@@ -300,6 +300,7 @@
 struct dkdriver fddkdriver = { fdstrategy };
 
 void	fd_set_motor __P((struct fdc_softc *fdc, int reset));
+void	fd_motor_shutdown __P((int why, void *arg));
 void	fd_motor_off __P((void *arg));
 void	fd_motor_on __P((void *arg));
 int	fdcresult __P((struct fdc_softc *fdc));
@@ -550,7 +551,7 @@
 	disk_attach(&fd->sc_dk);
 
 	/* Needed to power off if the motor is on when we halt. */
-	fd->sc_sdhook = shutdownhook_establish(fd_motor_off, fd);
+	fd->sc_sdhook = shutdownhook_establish(fd_motor_shutdown, fd);
 }
 
 /*
@@ -760,6 +761,14 @@
 }
 
 void
+fd_motor_shutdown(why, arg)
+	int why;
+	void *arg;
+{
+	fd_motor_off(arg);
+}
+
+void
 fd_motor_off(arg)
 	void *arg;
 {
Index: bebox/bebox/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/bebox/bebox/machdep.c,v
retrieving revision 1.89
diff -u -r1.89 machdep.c
--- bebox/bebox/machdep.c	9 Feb 2007 21:55:02 -0000	1.89
+++ bebox/bebox/machdep.c	17 Mar 2007 01:35:11 -0000
@@ -411,7 +411,7 @@
 	}
 	splhigh();
 	if (howto & RB_HALT) {
-		doshutdownhooks();
+		doshutdownhooks(howto);
 		printf("halted\n\n");
 #if 0
 		ppc_exit();
@@ -419,7 +419,7 @@
 	}
 	if (!cold && (howto & RB_DUMP))
 		oea_dumpsys();
-	doshutdownhooks();
+	doshutdownhooks(howto);
 	printf("rebooting\n\n");
 	if (what && *what) {
 		if (strlen(what) > sizeof str - 5)
Index: cats/cats/cats_machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/cats/cats/cats_machdep.c,v
retrieving revision 1.58
diff -u -r1.58 cats_machdep.c
--- cats/cats/cats_machdep.c	24 Nov 2006 22:04:21 -0000	1.58
+++ cats/cats/cats_machdep.c	17 Mar 2007 01:35:12 -0000
@@ -237,7 +237,7 @@
 	 * and crash to earth fast
 	 */
 	if (cold) {
-		doshutdownhooks();
+		doshutdownhooks(howto);
 		printf("The operating system has halted.\n");
 		printf("Please press any key to reboot.\n\n");
 		cngetc();
@@ -266,7 +266,7 @@
 		dumpsys();
 	
 	/* Run any shutdown hooks */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	/* Make sure IRQ's are disabled */
 	IRQdisable;
Index: cesfic/cesfic/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/cesfic/cesfic/machdep.c,v
retrieving revision 1.37
diff -u -r1.37 machdep.c
--- cesfic/cesfic/machdep.c	5 Mar 2007 12:50:15 -0000	1.37
+++ cesfic/cesfic/machdep.c	17 Mar 2007 01:35:12 -0000
@@ -446,7 +446,7 @@
 
  haltsys:
 	/* Run any shutdown hooks. */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 #if defined(PANICWAIT) && !defined(DDB)
 	if ((howto & RB_HALT) == 0 && panicstr) {
Index: cobalt/cobalt/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/cobalt/cobalt/machdep.c,v
retrieving revision 1.80
diff -u -r1.80 machdep.c
--- cobalt/cobalt/machdep.c	5 Mar 2007 21:05:00 -0000	1.80
+++ cobalt/cobalt/machdep.c	17 Mar 2007 01:35:12 -0000
@@ -393,7 +393,7 @@
 		dumpsys();
 
  haltsys:
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	if (howto & RB_HALT) {
 		printf("\n");
Index: dreamcast/dreamcast/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/dreamcast/dreamcast/machdep.c,v
retrieving revision 1.33
diff -u -r1.33 machdep.c
--- dreamcast/dreamcast/machdep.c	22 Feb 2007 05:19:00 -0000	1.33
+++ dreamcast/dreamcast/machdep.c	17 Mar 2007 01:35:12 -0000
@@ -247,7 +247,7 @@
 		dumpsys();
 
  haltsys:
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	if (howto & RB_HALT) {
 		printf("\n");
Index: evbarm/adi_brh/brh_machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/evbarm/adi_brh/brh_machdep.c,v
retrieving revision 1.26
diff -u -r1.26 brh_machdep.c
--- evbarm/adi_brh/brh_machdep.c	24 Nov 2006 22:04:22 -0000	1.26
+++ evbarm/adi_brh/brh_machdep.c	17 Mar 2007 01:35:13 -0000
@@ -243,7 +243,7 @@
 	 * and crash to earth fast
 	 */
 	if (cold) {
-		doshutdownhooks();
+		doshutdownhooks(howto);
 		printf("The operating system has halted.\n");
 		printf("Please press any key to reboot.\n\n");
 		cngetc();
@@ -271,7 +271,7 @@
 		dumpsys();
 	
 	/* Run any shutdown hooks */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	/* Make sure IRQ's are disabled */
 	IRQdisable;
Index: evbarm/armadillo/armadillo9_machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/evbarm/armadillo/armadillo9_machdep.c,v
retrieving revision 1.9
diff -u -r1.9 armadillo9_machdep.c
--- evbarm/armadillo/armadillo9_machdep.c	22 Feb 2007 05:25:22 -0000	1.9
+++ evbarm/armadillo/armadillo9_machdep.c	17 Mar 2007 01:35:13 -0000
@@ -347,7 +347,7 @@
 	 * and crash to earth fast
 	 */
 	if (cold) {
-		doshutdownhooks();
+		doshutdownhooks(howto);
 		printf("\r\n");
 		printf("The operating system has halted.\r\n");
 		printf("Please press any key to reboot.\r\n");
@@ -376,7 +376,7 @@
 		dumpsys();
 	
 	/* Run any shutdown hooks */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	/* Make sure IRQ's are disabled */
 	IRQdisable;
Index: evbarm/g42xxeb/g42xxeb_machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/evbarm/g42xxeb/g42xxeb_machdep.c,v
retrieving revision 1.10
diff -u -r1.10 g42xxeb_machdep.c
--- evbarm/g42xxeb/g42xxeb_machdep.c	24 Nov 2006 22:04:22 -0000	1.10
+++ evbarm/g42xxeb/g42xxeb_machdep.c	17 Mar 2007 01:35:13 -0000
@@ -282,7 +282,7 @@
 	 * and crash to earth fast
 	 */
 	if (cold) {
-		doshutdownhooks();
+		doshutdownhooks(howto);
 		printf("The operating system has halted.\n");
 		printf("Please press any key to reboot.\n\n");
 		cngetc();
@@ -312,7 +312,7 @@
 		dumpsys();
 	
 	/* Run any shutdown hooks */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	/* Make sure IRQ's are disabled */
 	IRQdisable;
Index: evbarm/gumstix/gumstix_machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/evbarm/gumstix/gumstix_machdep.c,v
retrieving revision 1.3
diff -u -r1.3 gumstix_machdep.c
--- evbarm/gumstix/gumstix_machdep.c	18 Jan 2007 10:06:47 -0000	1.3
+++ evbarm/gumstix/gumstix_machdep.c	17 Mar 2007 01:35:13 -0000
@@ -312,7 +312,7 @@
 	 * and crash to earth fast
 	 */
 	if (cold) {
-		doshutdownhooks();
+		doshutdownhooks(howto);
 		printf("The operating system has halted.\n");
 		printf("Please press any key to reboot.\n\n");
 		cngetc();
@@ -339,7 +339,7 @@
 		dumpsys();
 	
 	/* Run any shutdown hooks */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	/* Make sure IRQ's are disabled */
 	IRQdisable;
Index: evbarm/hdl_g/hdlg_machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/evbarm/hdl_g/hdlg_machdep.c,v
retrieving revision 1.4
diff -u -r1.4 hdlg_machdep.c
--- evbarm/hdl_g/hdlg_machdep.c	18 Dec 2006 13:50:58 -0000	1.4
+++ evbarm/hdl_g/hdlg_machdep.c	17 Mar 2007 01:35:14 -0000
@@ -730,7 +730,7 @@
 
 haltsys:
 	/* Run any shutdown hooks */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	/* Make sure IRQ's are disabled */
 	IRQdisable;
Index: evbarm/integrator/integrator_machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/evbarm/integrator/integrator_machdep.c,v
retrieving revision 1.56
diff -u -r1.56 integrator_machdep.c
--- evbarm/integrator/integrator_machdep.c	17 May 2006 04:22:46 -0000	1.56
+++ evbarm/integrator/integrator_machdep.c	17 Mar 2007 01:35:14 -0000
@@ -273,7 +273,7 @@
 	 * and crash to earth fast
 	 */
 	if (cold) {
-		doshutdownhooks();
+		doshutdownhooks(howto);
 		printf("The operating system has halted.\n");
 		printf("Please press any key to reboot.\n\n");
 		cngetc();
@@ -302,7 +302,7 @@
 		dumpsys();
 	
 	/* Run any shutdown hooks */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	/* Make sure IRQ's are disabled */
 	IRQdisable;
Index: evbarm/iq80310/iq80310_machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/evbarm/iq80310/iq80310_machdep.c,v
retrieving revision 1.68
diff -u -r1.68 iq80310_machdep.c
--- evbarm/iq80310/iq80310_machdep.c	24 Nov 2006 22:04:22 -0000	1.68
+++ evbarm/iq80310/iq80310_machdep.c	17 Mar 2007 01:35:14 -0000
@@ -243,7 +243,7 @@
 	 * and crash to earth fast
 	 */
 	if (cold) {
-		doshutdownhooks();
+		doshutdownhooks(howto);
 		printf("The operating system has halted.\n");
 		printf("Please press any key to reboot.\n\n");
 		cngetc();
@@ -272,7 +272,7 @@
 		dumpsys();
 	
 	/* Run any shutdown hooks */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	/* Make sure IRQ's are disabled */
 	IRQdisable;
Index: evbarm/iq80321/iq80321_machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/evbarm/iq80321/iq80321_machdep.c,v
retrieving revision 1.37
diff -u -r1.37 iq80321_machdep.c
--- evbarm/iq80321/iq80321_machdep.c	24 Nov 2006 22:04:22 -0000	1.37
+++ evbarm/iq80321/iq80321_machdep.c	17 Mar 2007 01:35:14 -0000
@@ -269,7 +269,7 @@
 	 * and crash to earth fast
 	 */
 	if (cold) {
-		doshutdownhooks();
+		doshutdownhooks(howto);
 		printf("The operating system has halted.\n");
 		printf("Please press any key to reboot.\n\n");
 		cngetc();
@@ -297,7 +297,7 @@
 		dumpsys();
 	
 	/* Run any shutdown hooks */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	/* Make sure IRQ's are disabled */
 	IRQdisable;
Index: evbarm/ixdp425/ixdp425_machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/evbarm/ixdp425/ixdp425_machdep.c,v
retrieving revision 1.15
diff -u -r1.15 ixdp425_machdep.c
--- evbarm/ixdp425/ixdp425_machdep.c	17 May 2006 04:22:46 -0000	1.15
+++ evbarm/ixdp425/ixdp425_machdep.c	17 Mar 2007 01:35:15 -0000
@@ -261,7 +261,7 @@
 	 * and crash to earth fast
 	 */
 	if (cold) {
-		doshutdownhooks();
+		doshutdownhooks(howto);
 		printf("The operating system has halted.\n");
 		printf("Please press any key to reboot.\n\n");
 		cngetc();
@@ -289,7 +289,7 @@
 		dumpsys();
 	
 	/* Run any shutdown hooks */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	/* Make sure IRQ's are disabled */
 	IRQdisable;
Index: evbarm/ixm1200/ixm1200_machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/evbarm/ixm1200/ixm1200_machdep.c,v
retrieving revision 1.32
diff -u -r1.32 ixm1200_machdep.c
--- evbarm/ixm1200/ixm1200_machdep.c	17 May 2006 04:22:46 -0000	1.32
+++ evbarm/ixm1200/ixm1200_machdep.c	17 Mar 2007 01:35:15 -0000
@@ -246,7 +246,7 @@
 	 * and crash to earth fast
 	 */
 	if (cold) {
-		doshutdownhooks();
+		doshutdownhooks(howto);
 		printf("Halted while still in the ICE age.\n");
 		printf("The operating system has halted.\n");
 		printf("Please press any key to reboot.\n\n");
@@ -275,7 +275,7 @@
 		dumpsys();
 
 	/* Run any shutdown hooks */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	/* Make sure IRQ's are disabled */
 	IRQdisable;
Index: evbarm/lubbock/lubbock_machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/evbarm/lubbock/lubbock_machdep.c,v
retrieving revision 1.14
diff -u -r1.14 lubbock_machdep.c
--- evbarm/lubbock/lubbock_machdep.c	24 Nov 2006 22:04:22 -0000	1.14
+++ evbarm/lubbock/lubbock_machdep.c	17 Mar 2007 01:35:15 -0000
@@ -287,7 +287,7 @@
 	 * and crash to earth fast
 	 */
 	if (cold) {
-		doshutdownhooks();
+		doshutdownhooks(howto);
 		printf("The operating system has halted.\n");
 		printf("Please press any key to reboot.\n\n");
 		cngetc();
@@ -317,7 +317,7 @@
 		dumpsys();
 	
 	/* Run any shutdown hooks */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	/* Make sure IRQ's are disabled */
 	IRQdisable;
Index: evbarm/npwr_fc/npwr_fc_machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/evbarm/npwr_fc/npwr_fc_machdep.c,v
retrieving revision 1.4
diff -u -r1.4 npwr_fc_machdep.c
--- evbarm/npwr_fc/npwr_fc_machdep.c	24 Nov 2006 22:04:22 -0000	1.4
+++ evbarm/npwr_fc/npwr_fc_machdep.c	17 Mar 2007 01:35:15 -0000
@@ -269,7 +269,7 @@
 	 * and crash to earth fast
 	 */
 	if (cold) {
-		doshutdownhooks();
+		doshutdownhooks(howto);
 		printf("The operating system has halted.\n");
 		printf("Please press any key to reboot.\n\n");
 		cngetc();
@@ -297,7 +297,7 @@
 		dumpsys();
 	
 	/* Run any shutdown hooks */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	/* Make sure IRQ's are disabled */
 	IRQdisable;
Index: evbarm/nslu2/nslu2_leds.c
===================================================================
RCS file: /cvsroot/src/sys/arch/evbarm/nslu2/nslu2_leds.c,v
retrieving revision 1.4
diff -u -r1.4 nslu2_leds.c
--- evbarm/nslu2/nslu2_leds.c	10 Dec 2006 10:23:37 -0000	1.4
+++ evbarm/nslu2/nslu2_leds.c	17 Mar 2007 01:35:15 -0000
@@ -171,7 +171,7 @@
 }
 
 static void
-slugled_shutdown(void *arg)
+slugled_shutdown(int why, void *arg)
 {
 	struct slugled_softc *sc = arg;
 	uint32_t reg;
Index: evbarm/nslu2/nslu2_machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/evbarm/nslu2/nslu2_machdep.c,v
retrieving revision 1.4
diff -u -r1.4 nslu2_machdep.c
--- evbarm/nslu2/nslu2_machdep.c	10 Dec 2006 10:04:40 -0000	1.4
+++ evbarm/nslu2/nslu2_machdep.c	17 Mar 2007 01:35:15 -0000
@@ -297,7 +297,7 @@
 	 * and crash to earth fast
 	 */
 	if (cold) {
-		doshutdownhooks();
+		doshutdownhooks(howto);
 		printf("The operating system has halted.\n");
 		printf("Please press any key to reboot.\n\n");
 		cngetc();
@@ -324,7 +324,7 @@
 		dumpsys();
 	
 	/* Run any shutdown hooks */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	/* Make sure IRQ's are disabled */
 	IRQdisable;
Index: evbarm/osk5912/osk5912_machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/evbarm/osk5912/osk5912_machdep.c,v
retrieving revision 1.1
diff -u -r1.1 osk5912_machdep.c
--- evbarm/osk5912/osk5912_machdep.c	6 Jan 2007 08:16:26 -0000	1.1
+++ evbarm/osk5912/osk5912_machdep.c	17 Mar 2007 01:35:16 -0000
@@ -262,7 +262,7 @@
 	 * and crash to earth fast
 	 */
 	if (cold) {
-		doshutdownhooks();
+		doshutdownhooks(howto);
 		printf("The operating system has halted.\n");
 		printf("Please press any key to reboot.\n\n");
 		cngetc();
@@ -292,7 +292,7 @@
 		dumpsys();
 
 	/* Run any shutdown hooks */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	/* Make sure IRQ's are disabled */
 	IRQdisable;
Index: evbarm/smdk2xx0/smdk2410_machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/evbarm/smdk2xx0/smdk2410_machdep.c,v
retrieving revision 1.16
diff -u -r1.16 smdk2410_machdep.c
--- evbarm/smdk2xx0/smdk2410_machdep.c	17 May 2006 04:22:46 -0000	1.16
+++ evbarm/smdk2xx0/smdk2410_machdep.c	17 Mar 2007 01:35:16 -0000
@@ -303,7 +303,7 @@
 	 * and crash to earth fast
 	 */
 	if (cold) {
-		doshutdownhooks();
+		doshutdownhooks(howto);
 		printf("The operating system has halted.\n");
 		printf("Please press any key to reboot.\n\n");
 		cngetc();
@@ -331,7 +331,7 @@
 		dumpsys();
 
 	/* Run any shutdown hooks */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	/* Make sure IRQ's are disabled */
 	IRQdisable;
Index: evbarm/smdk2xx0/smdk2800_machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/evbarm/smdk2xx0/smdk2800_machdep.c,v
retrieving revision 1.24
diff -u -r1.24 smdk2800_machdep.c
--- evbarm/smdk2xx0/smdk2800_machdep.c	17 May 2006 04:22:46 -0000	1.24
+++ evbarm/smdk2xx0/smdk2800_machdep.c	17 Mar 2007 01:35:16 -0000
@@ -297,7 +297,7 @@
 	 * and crash to earth fast
 	 */
 	if (cold) {
-		doshutdownhooks();
+		doshutdownhooks(howto);
 		printf("The operating system has halted.\n");
 		printf("Please press any key to reboot.\n\n");
 		cngetc();
@@ -325,7 +325,7 @@
 		dumpsys();
 
 	/* Run any shutdown hooks */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	/* Make sure IRQ's are disabled */
 	IRQdisable;
Index: evbarm/tsarm/tsarm_machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/evbarm/tsarm/tsarm_machdep.c,v
retrieving revision 1.5
diff -u -r1.5 tsarm_machdep.c
--- evbarm/tsarm/tsarm_machdep.c	24 Nov 2006 22:04:22 -0000	1.5
+++ evbarm/tsarm/tsarm_machdep.c	17 Mar 2007 01:35:16 -0000
@@ -262,7 +262,7 @@
 	 * and crash to earth fast
 	 */
 	if (cold) {
-		doshutdownhooks();
+		doshutdownhooks(howto);
 		printf("\r\n");
 		printf("The operating system has halted.\r\n");
 		printf("Please press any key to reboot.\r\n");
@@ -291,7 +291,7 @@
 		dumpsys();
 	
 	/* Run any shutdown hooks */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	/* Make sure IRQ's are disabled */
 	IRQdisable;
Index: evbarm/viper/viper_machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/evbarm/viper/viper_machdep.c,v
retrieving revision 1.6
diff -u -r1.6 viper_machdep.c
--- evbarm/viper/viper_machdep.c	24 Nov 2006 22:04:22 -0000	1.6
+++ evbarm/viper/viper_machdep.c	17 Mar 2007 01:35:17 -0000
@@ -286,7 +286,7 @@
 	 * and crash to earth fast
 	 */
 	if (cold) {
-		doshutdownhooks();
+		doshutdownhooks(howto);
 		printf("The operating system has halted.\n");
 		printf("Please press any key to reboot.\n\n");
 		cngetc();
@@ -316,7 +316,7 @@
 		dumpsys();
 	
 	/* Run any shutdown hooks */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	/* Make sure IRQ's are disabled */
 	IRQdisable;
Index: evbmips/alchemy/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/evbmips/alchemy/machdep.c,v
retrieving revision 1.34
diff -u -r1.34 machdep.c
--- evbmips/alchemy/machdep.c	6 Mar 2007 00:48:07 -0000	1.34
+++ evbmips/alchemy/machdep.c	17 Mar 2007 01:35:17 -0000
@@ -487,7 +487,7 @@
 
  haltsys:
 	/* Run any shutdown hooks. */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	if ((boothowto & RB_POWERDOWN) == RB_POWERDOWN)
 		if (board && board->ab_poweroff)
Index: evbmips/atheros/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/evbmips/atheros/machdep.c,v
retrieving revision 1.7
diff -u -r1.7 machdep.c
--- evbmips/atheros/machdep.c	6 Mar 2007 00:48:08 -0000	1.7
+++ evbmips/atheros/machdep.c	17 Mar 2007 01:35:17 -0000
@@ -452,7 +452,7 @@
 
  haltsys:
 	/* Run any shutdown hooks. */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 #if 0
 	if ((boothowto & RB_POWERDOWN) == RB_POWERDOWN)
Index: evbmips/malta/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/evbmips/malta/machdep.c,v
retrieving revision 1.25
diff -u -r1.25 machdep.c
--- evbmips/malta/machdep.c	6 Mar 2007 00:48:08 -0000	1.25
+++ evbmips/malta/machdep.c	17 Mar 2007 01:35:17 -0000
@@ -433,7 +433,7 @@
 		dumpsys();
 
 haltsys:
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	if (howto & RB_HALT) {
 		printf("\n");
Index: evbmips/malta/pci/pcib.c
===================================================================
RCS file: /cvsroot/src/sys/arch/evbmips/malta/pci/pcib.c,v
retrieving revision 1.12
diff -u -r1.12 pcib.c
--- evbmips/malta/pci/pcib.c	12 May 2006 10:58:12 -0000	1.12
+++ evbmips/malta/pci/pcib.c	17 Mar 2007 01:35:17 -0000
@@ -584,7 +584,7 @@
 }
 
 static void
-pcib_cleanup(void *arg)
+pcib_cleanup(int why, void *arg)
 {
 
 	my_sc->sc_imask = 0xffff;
Index: evbppc/ev64260/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/evbppc/ev64260/machdep.c,v
retrieving revision 1.19
diff -u -r1.19 machdep.c
--- evbppc/ev64260/machdep.c	24 Dec 2005 20:07:03 -0000	1.19
+++ evbppc/ev64260/machdep.c	17 Mar 2007 01:35:17 -0000
@@ -382,14 +382,14 @@
 	}
 	splhigh();
 	if (howto & RB_HALT) {
-		doshutdownhooks();
+		doshutdownhooks(howto);
 		printf("halted\n\n");
 		cnhalt();
 		while(1);
 	}
 	if (!cold && (howto & RB_DUMP))
 		oea_dumpsys();
-	doshutdownhooks();
+	doshutdownhooks(howto);
 	printf("rebooting\n\n");
 	if (what && *what) {
 		if (strlen(what) > sizeof str - 5)
Index: evbppc/explora/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/evbppc/explora/machdep.c,v
retrieving revision 1.18
diff -u -r1.18 machdep.c
--- evbppc/explora/machdep.c	4 Mar 2007 05:59:46 -0000	1.18
+++ evbppc/explora/machdep.c	17 Mar 2007 01:35:17 -0000
@@ -389,7 +389,7 @@
 	if (!cold && (howto & RB_DUMP))
 		/*XXX dumpsys()*/;
 
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	if (howto & RB_HALT) {
 		printf("halted\n\n");
Index: evbppc/obs405/obs200_machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/evbppc/obs405/obs200_machdep.c,v
retrieving revision 1.5
diff -u -r1.5 obs200_machdep.c
--- evbppc/obs405/obs200_machdep.c	29 Nov 2006 19:56:47 -0000	1.5
+++ evbppc/obs405/obs200_machdep.c	17 Mar 2007 01:35:18 -0000
@@ -242,7 +242,7 @@
 	if (!cold && (howto & RB_DUMP))
 		ibm4xx_dumpsys();
 
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	if ((howto & RB_POWERDOWN) == RB_POWERDOWN) {
 	  /* Power off here if we know how...*/
Index: evbppc/obs405/obs266_machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/evbppc/obs405/obs266_machdep.c,v
retrieving revision 1.6
diff -u -r1.6 obs266_machdep.c
--- evbppc/obs405/obs266_machdep.c	29 Nov 2006 19:56:47 -0000	1.6
+++ evbppc/obs405/obs266_machdep.c	17 Mar 2007 01:35:18 -0000
@@ -236,7 +236,7 @@
 	if (!cold && (howto & RB_DUMP))
 		ibm4xx_dumpsys();
 
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	if ((howto & RB_POWERDOWN) == RB_POWERDOWN) {
 	  /* Power off here if we know how...*/
Index: evbppc/virtex/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/evbppc/virtex/machdep.c,v
retrieving revision 1.4
diff -u -r1.4 machdep.c
--- evbppc/virtex/machdep.c	4 Mar 2007 05:59:46 -0000	1.4
+++ evbppc/virtex/machdep.c	17 Mar 2007 01:35:18 -0000
@@ -407,7 +407,7 @@
 	if (!cold && (howto & RB_DUMP))
 		dumpsys();
 
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	if ((howto & RB_POWERDOWN) == RB_POWERDOWN) {
 		/* Power off here if we know how...*/
Index: evbppc/virtex/dev/if_temac.c
===================================================================
RCS file: /cvsroot/src/sys/arch/evbppc/virtex/dev/if_temac.c,v
retrieving revision 1.2
diff -u -r1.2 if_temac.c
--- evbppc/virtex/dev/if_temac.c	4 Mar 2007 05:59:46 -0000	1.2
+++ evbppc/virtex/dev/if_temac.c	17 Mar 2007 01:35:18 -0000
@@ -944,7 +944,7 @@
  * External hooks.
  */
 static void
-temac_shutdown(void *arg)
+temac_shutdown(int why, void *arg)
 {
 	struct temac_softc 	*sc = (struct temac_softc *)arg;
 
Index: evbppc/virtex/dev/tft.c
===================================================================
RCS file: /cvsroot/src/sys/arch/evbppc/virtex/dev/tft.c,v
retrieving revision 1.2
diff -u -r1.2 tft.c
--- evbppc/virtex/dev/tft.c	4 Mar 2007 05:59:46 -0000	1.2
+++ evbppc/virtex/dev/tft.c	17 Mar 2007 01:35:18 -0000
@@ -181,7 +181,7 @@
 }
 
 void
-tft_shutdown(void *arg)
+tft_shutdown(int why, void *arg)
 {
 	struct tft_softc 	*sc = arg;
 
Index: evbppc/virtex/dev/tft_ll.c
===================================================================
RCS file: /cvsroot/src/sys/arch/evbppc/virtex/dev/tft_ll.c,v
retrieving revision 1.2
diff -u -r1.2 tft_ll.c
--- evbppc/virtex/dev/tft_ll.c	4 Mar 2007 05:59:46 -0000	1.2
+++ evbppc/virtex/dev/tft_ll.c	17 Mar 2007 01:35:18 -0000
@@ -216,7 +216,7 @@
 } 
 
 static void
-ll_tft_shutdown(void *arg)
+ll_tft_shutdown(int why, void *arg)
 {
 	struct ll_tft_softc 	*lsc = arg;
 
Index: evbppc/walnut/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/evbppc/walnut/machdep.c,v
retrieving revision 1.35
diff -u -r1.35 machdep.c
--- evbppc/walnut/machdep.c	4 Mar 2007 05:59:46 -0000	1.35
+++ evbppc/walnut/machdep.c	17 Mar 2007 01:35:18 -0000
@@ -491,7 +491,7 @@
 	if (!cold && (howto & RB_DUMP))
 		dumpsys();
 
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	if ((howto & RB_POWERDOWN) == RB_POWERDOWN) {
 	  /* Power off here if we know how...*/
Index: evbsh3/evbsh3/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/evbsh3/evbsh3/machdep.c,v
retrieving revision 1.57
diff -u -r1.57 machdep.c
--- evbsh3/evbsh3/machdep.c	17 Mar 2006 16:06:51 -0000	1.57
+++ evbsh3/evbsh3/machdep.c	17 Mar 2007 01:35:19 -0000
@@ -204,7 +204,7 @@
 		dumpsys();
 
 haltsys:
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	if (howto & RB_HALT) {
 		printf("\n");
Index: ews4800mips/ews4800mips/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/ews4800mips/ews4800mips/machdep.c,v
retrieving revision 1.6
diff -u -r1.6 machdep.c
--- ews4800mips/ews4800mips/machdep.c	4 Mar 2007 12:24:09 -0000	1.6
+++ ews4800mips/ews4800mips/machdep.c	17 Mar 2007 01:35:19 -0000
@@ -293,7 +293,7 @@
 		dumpsys();
 
  haltsys:
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	if ((howto & RB_POWERDOWN) == RB_POWERDOWN) {
 		if (platform.poweroff) {
Index: hp300/hp300/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/hp300/hp300/machdep.c,v
retrieving revision 1.194
diff -u -r1.194 machdep.c
--- hp300/hp300/machdep.c	5 Mar 2007 12:50:15 -0000	1.194
+++ hp300/hp300/machdep.c	17 Mar 2007 01:35:19 -0000
@@ -678,7 +678,7 @@
 
  haltsys:
 	/* Run any shutdown hooks. */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 #if defined(PANICWAIT) && !defined(DDB)
 	if ((howto & RB_HALT) == 0 && panicstr) {
Index: hp700/hp700/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/hp700/hp700/machdep.c,v
retrieving revision 1.37
diff -u -r1.37 machdep.c
--- hp700/hp700/machdep.c	7 Mar 2007 11:29:46 -0000	1.37
+++ hp700/hp700/machdep.c	17 Mar 2007 01:35:20 -0000
@@ -1378,7 +1378,7 @@
 		dumpsys();
 
 	/* Run any shutdown hooks. */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 #ifdef POWER_SWITCH
 	if (pwr_sw_state == 0 &&
Index: hpcarm/hpcarm/hpc_machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/hpcarm/hpcarm/hpc_machdep.c,v
retrieving revision 1.82
diff -u -r1.82 hpc_machdep.c
--- hpcarm/hpcarm/hpc_machdep.c	7 Oct 2006 13:53:24 -0000	1.82
+++ hpcarm/hpcarm/hpc_machdep.c	17 Mar 2007 01:35:20 -0000
@@ -211,7 +211,7 @@
 	 * and crash to earth fast.
 	 */
 	if (cold) {
-		doshutdownhooks();
+		doshutdownhooks(howto);
 		printf("Halted while still in the ICE age.\n");
 		printf("The operating system has halted.\n");
 		printf("Please press any key to reboot.\n\n");
@@ -246,7 +246,7 @@
 		dumpsys();
 
 	/* Run any shutdown hooks. */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	/* Make sure IRQs are disabled. */
 	IRQdisable;
Index: hpcmips/hpcmips/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/hpcmips/hpcmips/machdep.c,v
retrieving revision 1.93
diff -u -r1.93 machdep.c
--- hpcmips/hpcmips/machdep.c	8 Mar 2007 06:57:14 -0000	1.93
+++ hpcmips/hpcmips/machdep.c	17 Mar 2007 01:35:20 -0000
@@ -656,7 +656,7 @@
  haltsys:
 
 	/* run any shutdown hooks */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	/* Finally, halt/reboot the system. */
 	if (howto & RB_HALT) {
Index: hpcsh/hpcsh/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/hpcsh/hpcsh/machdep.c,v
retrieving revision 1.55
diff -u -r1.55 machdep.c
--- hpcsh/hpcsh/machdep.c	4 Mar 2007 05:59:54 -0000	1.55
+++ hpcsh/hpcsh/machdep.c	17 Mar 2007 01:35:21 -0000
@@ -400,7 +400,7 @@
 
  haltsys:
 	/* run any shutdown hooks */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	/* Finally, halt/reboot the system. */
 	if (howto & RB_HALT) {
Index: i386/i386/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/i386/i386/machdep.c,v
retrieving revision 1.601
diff -u -r1.601 machdep.c
--- i386/i386/machdep.c	7 Mar 2007 21:43:43 -0000	1.601
+++ i386/i386/machdep.c	17 Mar 2007 01:35:21 -0000
@@ -870,7 +870,7 @@
 		dumpsys();
 
 haltsys:
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 #ifdef MULTIPROCESSOR
 	x86_broadcast_ipi(X86_IPI_HALT);
Index: ibmnws/ibmnws/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/ibmnws/ibmnws/machdep.c,v
retrieving revision 1.8
diff -u -r1.8 machdep.c
--- ibmnws/ibmnws/machdep.c	9 Feb 2007 21:55:05 -0000	1.8
+++ ibmnws/ibmnws/machdep.c	17 Mar 2007 01:35:22 -0000
@@ -264,7 +264,7 @@
 		oea_dumpsys();
 
 halt_sys:
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	if (howto & RB_HALT) {
                 printf("\n");
Index: iyonix/iyonix/iyonix_machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/iyonix/iyonix/iyonix_machdep.c,v
retrieving revision 1.6
diff -u -r1.6 iyonix_machdep.c
--- iyonix/iyonix/iyonix_machdep.c	27 Jun 2006 23:02:04 -0000	1.6
+++ iyonix/iyonix/iyonix_machdep.c	17 Mar 2007 01:35:22 -0000
@@ -274,7 +274,7 @@
 	 * and crash to earth fast
 	 */
 	if (cold) {
-		doshutdownhooks();
+		doshutdownhooks(howto);
 		printf("The operating system has halted.\n");
 		printf("Please press any key to reboot.\n\n");
 		cngetc();
@@ -302,7 +302,7 @@
 		dumpsys();
 	
 	/* Run any shutdown hooks */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	/* Make sure IRQ's are disabled */
 	IRQdisable;
Index: landisk/landisk/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/landisk/landisk/machdep.c,v
retrieving revision 1.5
diff -u -r1.5 machdep.c
--- landisk/landisk/machdep.c	4 Mar 2007 06:00:03 -0000	1.5
+++ landisk/landisk/machdep.c	17 Mar 2007 01:35:22 -0000
@@ -341,7 +341,7 @@
 	}
 
 haltsys:
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	if ((howto & RB_POWERDOWN) == RB_POWERDOWN) {
 		_reg_write_1(LANDISK_PWRMNG, PWRMNG_POWEROFF);
Index: luna68k/luna68k/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/luna68k/luna68k/machdep.c,v
retrieving revision 1.51
diff -u -r1.51 machdep.c
--- luna68k/luna68k/machdep.c	5 Mar 2007 12:50:16 -0000	1.51
+++ luna68k/luna68k/machdep.c	17 Mar 2007 01:35:23 -0000
@@ -416,7 +416,7 @@
 
 haltsys:
 	/* Run any shutdown hooks. */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	/* Finally, halt/reboot the system. */
 	if ((howto & RB_POWERDOWN) == RB_POWERDOWN) {
Index: mac68k/mac68k/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/mac68k/mac68k/machdep.c,v
retrieving revision 1.314
diff -u -r1.314 machdep.c
--- mac68k/mac68k/machdep.c	5 Mar 2007 12:50:16 -0000	1.314
+++ mac68k/mac68k/machdep.c	17 Mar 2007 01:35:24 -0000
@@ -566,7 +566,7 @@
 
  haltsys:
 	/* Run any shutdown hooks. */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	if ((howto & RB_POWERDOWN) == RB_POWERDOWN) {
 		/* First try to power down under VIA control. */
Index: macppc/dev/esp.c
===================================================================
RCS file: /cvsroot/src/sys/arch/macppc/dev/esp.c,v
retrieving revision 1.22
diff -u -r1.22 esp.c
--- macppc/dev/esp.c	5 Mar 2007 10:50:24 -0000	1.22
+++ macppc/dev/esp.c	17 Mar 2007 01:35:24 -0000
@@ -526,7 +526,8 @@
 }
 
 void
-esp_shutdownhook(arg)
+esp_shutdownhook(why, arg)
+	int why;
 	void *arg;
 {
 	struct ncr53c9x_softc *sc = arg;
Index: macppc/dev/if_wi_obio.c
===================================================================
RCS file: /cvsroot/src/sys/arch/macppc/dev/if_wi_obio.c,v
retrieving revision 1.13
diff -u -r1.13 if_wi_obio.c
--- macppc/dev/if_wi_obio.c	24 Sep 2006 03:53:08 -0000	1.13
+++ macppc/dev/if_wi_obio.c	17 Mar 2007 01:35:24 -0000
@@ -190,7 +190,8 @@
 }
 
 void
-wi_obio_shutdown(arg)
+wi_obio_shutdown(why, arg)
+	int why;
 	void *arg;
 {
 	struct wi_softc *sc = arg;
Index: macppc/dev/mesh.c
===================================================================
RCS file: /cvsroot/src/sys/arch/macppc/dev/mesh.c,v
retrieving revision 1.25
diff -u -r1.25 mesh.c
--- macppc/dev/mesh.c	29 Mar 2006 04:16:45 -0000	1.25
+++ macppc/dev/mesh.c	17 Mar 2007 01:35:24 -0000
@@ -296,7 +296,8 @@
 }
 
 void
-mesh_shutdownhook(arg)
+mesh_shutdownhook(why, arg)
+	int why;
 	void *arg;
 {
 	struct mesh_softc *sc = arg;
Index: macppc/macppc/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/macppc/macppc/machdep.c,v
retrieving revision 1.147
diff -u -r1.147 machdep.c
--- macppc/macppc/machdep.c	9 Feb 2007 21:55:06 -0000	1.147
+++ macppc/macppc/machdep.c	17 Mar 2007 01:35:24 -0000
@@ -504,7 +504,7 @@
 	if (!cold && (howto & RB_DUMP))
 		dumpsys();
 
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	if ((howto & RB_POWERDOWN) == RB_POWERDOWN) {
 		delay(1000000);
Index: mips/alchemy/dev/aurtc.c
===================================================================
RCS file: /cvsroot/src/sys/arch/mips/alchemy/dev/aurtc.c,v
retrieving revision 1.11
diff -u -r1.11 aurtc.c
--- mips/alchemy/dev/aurtc.c	4 Sep 2006 23:45:30 -0000	1.11
+++ mips/alchemy/dev/aurtc.c	17 Mar 2007 01:35:24 -0000
@@ -174,7 +174,7 @@
 }
 
 void
-aurtc_shutdown(void *arg)
+aurtc_shutdown(int why, void *arg)
 {
 
 	/* wait for the clock register to be idle */
Index: mips/alchemy/dev/if_aumac.c
===================================================================
RCS file: /cvsroot/src/sys/arch/mips/alchemy/dev/if_aumac.c,v
retrieving revision 1.20
diff -u -r1.20 if_aumac.c
--- mips/alchemy/dev/if_aumac.c	6 Mar 2007 00:43:50 -0000	1.20
+++ mips/alchemy/dev/if_aumac.c	17 Mar 2007 01:35:25 -0000
@@ -382,7 +382,7 @@
  *	Make sure the interface is stopped at reboot time.
  */
 static void
-aumac_shutdown(void *arg)
+aumac_shutdown(int why, void *arg)
 {
 	struct aumac_softc *sc = arg;
 
Index: mips/atheros/dev/if_ae.c
===================================================================
RCS file: /cvsroot/src/sys/arch/mips/atheros/dev/if_ae.c,v
retrieving revision 1.5
diff -u -r1.5 if_ae.c
--- mips/atheros/dev/if_ae.c	4 Mar 2007 06:00:11 -0000	1.5
+++ mips/atheros/dev/if_ae.c	17 Mar 2007 01:35:25 -0000
@@ -553,7 +553,7 @@
  *	Make sure the interface is stopped at reboot time.
  */
 static void
-ae_shutdown(void *arg)
+ae_shutdown(int why, void *arg)
 {
 	struct ae_softc *sc = arg;
 
Index: mips/atheros/dev/if_ath_arbus.c
===================================================================
RCS file: /cvsroot/src/sys/arch/mips/atheros/dev/if_ath_arbus.c,v
retrieving revision 1.9
diff -u -r1.9 if_ath_arbus.c
--- mips/atheros/dev/if_ath_arbus.c	24 Jan 2007 13:08:11 -0000	1.9
+++ mips/atheros/dev/if_ath_arbus.c	17 Mar 2007 01:35:25 -0000
@@ -190,7 +190,7 @@
 }
 
 static void
-ath_arbus_shutdown(void *opaque)
+ath_arbus_shutdown(int why, void *opaque)
 {
 	struct ath_arbus_softc *asc = opaque;
 
Index: mipsco/mipsco/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/mipsco/mipsco/machdep.c,v
retrieving revision 1.54
diff -u -r1.54 machdep.c
--- mipsco/mipsco/machdep.c	7 Mar 2007 22:43:32 -0000	1.54
+++ mipsco/mipsco/machdep.c	17 Mar 2007 01:35:25 -0000
@@ -531,7 +531,7 @@
 haltsys:
 
 	/* run any shutdown hooks */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	if ((howto & RB_POWERDOWN) == RB_POWERDOWN)
 		prom_halt(0x80);	/* rom monitor RB_PWOFF */
Index: mmeye/mmeye/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/mmeye/mmeye/machdep.c,v
retrieving revision 1.38
diff -u -r1.38 machdep.c
--- mmeye/mmeye/machdep.c	24 Dec 2005 20:07:19 -0000	1.38
+++ mmeye/mmeye/machdep.c	17 Mar 2007 01:35:26 -0000
@@ -209,7 +209,7 @@
 		dumpsys();
 
 haltsys:
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	if (howto & RB_HALT) {
 		printf("\n");
Index: mvme68k/dev/clock_pcc.c
===================================================================
RCS file: /cvsroot/src/sys/arch/mvme68k/dev/clock_pcc.c,v
retrieving revision 1.16
diff -u -r1.16 clock_pcc.c
--- mvme68k/dev/clock_pcc.c	11 Dec 2005 12:18:17 -0000	1.16
+++ mvme68k/dev/clock_pcc.c	17 Mar 2007 01:35:26 -0000
@@ -237,7 +237,8 @@
 
 /* ARGSUSED */
 void
-clock_pcc_shutdown(arg)
+clock_pcc_shutdown(why, arg)
+	int why;
 	void *arg;
 {
 
Index: mvme68k/mvme68k/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/mvme68k/mvme68k/machdep.c,v
retrieving revision 1.121
diff -u -r1.121 machdep.c
--- mvme68k/mvme68k/machdep.c	5 Mar 2007 12:50:16 -0000	1.121
+++ mvme68k/mvme68k/machdep.c	17 Mar 2007 01:35:26 -0000
@@ -762,7 +762,7 @@
 
  haltsys:
 	/* Run any shutdown hooks. */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 #if defined(PANICWAIT) && !defined(DDB)
 	if ((howto & RB_HALT) == 0 && panicstr) {
Index: mvmeppc/mvmeppc/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/mvmeppc/mvmeppc/machdep.c,v
retrieving revision 1.22
diff -u -r1.22 machdep.c
--- mvmeppc/mvmeppc/machdep.c	9 Feb 2007 21:55:07 -0000	1.22
+++ mvmeppc/mvmeppc/machdep.c	17 Mar 2007 01:35:26 -0000
@@ -380,7 +380,7 @@
 		oea_dumpsys();
 
 halt_sys:
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	if (howto & RB_HALT) {
                 printf("\n");
Index: netwinder/netwinder/netwinder_machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/netwinder/netwinder/netwinder_machdep.c,v
retrieving revision 1.64
diff -u -r1.64 netwinder_machdep.c
--- netwinder/netwinder/netwinder_machdep.c	4 Mar 2007 06:00:24 -0000	1.64
+++ netwinder/netwinder/netwinder_machdep.c	17 Mar 2007 01:35:26 -0000
@@ -269,7 +269,7 @@
 	 * and crash to earth fast
 	 */
 	if (cold) {
-		doshutdownhooks();
+		doshutdownhooks(howto);
 		printf("The operating system has halted.\n");
 		printf("Please press any key to reboot.\n\n");
 		cngetc();
@@ -299,7 +299,7 @@
 		dumpsys();
 	
 	/* Run any shutdown hooks */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	/* Make sure IRQ's are disabled */
 	IRQdisable;
Index: news68k/news68k/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/news68k/news68k/machdep.c,v
retrieving revision 1.67
diff -u -r1.67 machdep.c
--- news68k/news68k/machdep.c	5 Mar 2007 12:50:17 -0000	1.67
+++ news68k/news68k/machdep.c	17 Mar 2007 01:35:27 -0000
@@ -408,7 +408,7 @@
 
  haltsys:
 	/* Run any shutdown hooks. */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 #if defined(PANICWAIT) && !defined(DDB)
 	if ((howto & RB_HALT) == 0 && panicstr) {
Index: newsmips/newsmips/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/newsmips/newsmips/machdep.c,v
retrieving revision 1.91
diff -u -r1.91 machdep.c
--- newsmips/newsmips/machdep.c	8 Mar 2007 22:17:47 -0000	1.91
+++ newsmips/newsmips/machdep.c	17 Mar 2007 01:35:27 -0000
@@ -608,7 +608,7 @@
 haltsys:
 
 	/* run any shutdown hooks */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	if ((howto & RB_POWERDOWN) == RB_POWERDOWN)
 		prom_halt(0x80);	/* rom monitor RB_PWOFF */
Index: next68k/dev/mb8795.c
===================================================================
RCS file: /cvsroot/src/sys/arch/next68k/dev/mb8795.c,v
retrieving revision 1.40
diff -u -r1.40 mb8795.c
--- next68k/dev/mb8795.c	4 Mar 2007 06:00:27 -0000	1.40
+++ next68k/dev/mb8795.c	17 Mar 2007 01:35:27 -0000
@@ -572,7 +572,7 @@
 }
 
 void
-mb8795_shutdown(void *arg)
+mb8795_shutdown(int why, void *arg)
 {
 	struct mb8795_softc *sc = (struct mb8795_softc *)arg;
 
Index: next68k/next68k/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/next68k/next68k/machdep.c,v
retrieving revision 1.80
diff -u -r1.80 machdep.c
--- next68k/next68k/machdep.c	5 Mar 2007 12:50:17 -0000	1.80
+++ next68k/next68k/machdep.c	17 Mar 2007 01:35:27 -0000
@@ -565,7 +565,7 @@
 
  haltsys:
 	/* Run any shutdown hooks. */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 #if defined(PANICWAIT) && !defined(DDB)
 	if ((howto & RB_HALT) == 0 && panicstr) {
Index: ofppc/ofppc/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/ofppc/ofppc/machdep.c,v
retrieving revision 1.90
diff -u -r1.90 machdep.c
--- ofppc/ofppc/machdep.c	9 Feb 2007 21:55:07 -0000	1.90
+++ ofppc/ofppc/machdep.c	17 Mar 2007 01:35:27 -0000
@@ -290,13 +290,13 @@
 	}
 	splhigh();
 	if (howto & RB_HALT) {
-		doshutdownhooks();
+		doshutdownhooks(howto);
 		printf("halted\n\n");
 		ppc_exit();
 	}
 	if (!cold && (howto & RB_DUMP))
 		oea_dumpsys();
-	doshutdownhooks();
+	doshutdownhooks(howto);
 	printf("rebooting\n\n");
 	if (what && *what) {
 		if (strlen(what) > sizeof str - 5)
Index: pc532/dev/scn.c
===================================================================
RCS file: /cvsroot/src/sys/arch/pc532/dev/scn.c,v
retrieving revision 1.79
diff -u -r1.79 scn.c
--- pc532/dev/scn.c	4 Mar 2007 06:00:28 -0000	1.79
+++ pc532/dev/scn.c	17 Mar 2007 01:35:28 -0000
@@ -1905,7 +1905,7 @@
 }
 
 void
-scncnreinit(void *v)
+scncnreinit(int why, void *v)
 {
 	volatile u_char *du_base = DUADDR();
 
Index: pc532/pc532/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/pc532/pc532/machdep.c,v
retrieving revision 1.168
diff -u -r1.168 machdep.c
--- pc532/pc532/machdep.c	4 Mar 2007 06:00:29 -0000	1.168
+++ pc532/pc532/machdep.c	17 Mar 2007 01:35:28 -0000
@@ -504,7 +504,7 @@
 	 * Call shutdown hooks. Do this _before_ anything might be
 	 * asked to the user in case nobody is there....
 	 */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	if (howto & RB_HALT) {
 		printf("\n");
Index: playstation2/playstation2/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/playstation2/playstation2/machdep.c,v
retrieving revision 1.19
diff -u -r1.19 machdep.c
--- playstation2/playstation2/machdep.c	5 Mar 2007 21:05:01 -0000	1.19
+++ playstation2/playstation2/machdep.c	17 Mar 2007 01:35:28 -0000
@@ -262,7 +262,7 @@
 		dumpsys();
 
  haltsys:
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	if ((howto & RB_POWERDOWN) == RB_POWERDOWN)
 		sifbios_halt(0); /* power down */
Index: pmax/pmax/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/pmax/pmax/machdep.c,v
retrieving revision 1.218
diff -u -r1.218 machdep.c
--- pmax/pmax/machdep.c	6 Mar 2007 22:31:36 -0000	1.218
+++ pmax/pmax/machdep.c	17 Mar 2007 01:35:28 -0000
@@ -553,7 +553,7 @@
 haltsys:
 
 	/* run any shutdown hooks */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	/* Finally, halt/reboot the system. */
 	printf("%s\n\n", ((howto & RB_HALT) != 0) ? "halted." : "rebooting...");
Index: pmppc/pmppc/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/pmppc/pmppc/machdep.c,v
retrieving revision 1.22
diff -u -r1.22 machdep.c
--- pmppc/pmppc/machdep.c	9 Feb 2007 21:55:10 -0000	1.22
+++ pmppc/pmppc/machdep.c	17 Mar 2007 01:35:29 -0000
@@ -389,13 +389,13 @@
 	}
 	splhigh();
 	if (howto & RB_HALT) {
-		doshutdownhooks();
+		doshutdownhooks(howto);
 		printf("halted\n\n");
 		while(1);
 	}
 	if (!cold && (howto & RB_DUMP))
 		oea_dumpsys();
-	doshutdownhooks();
+	doshutdownhooks(howto);
 	printf("rebooting\n\n");
 	if (what && *what) {
 		if (strlen(what) > sizeof str - 5)
Index: powerpc/ibm4xx/dev/if_emac.c
===================================================================
RCS file: /cvsroot/src/sys/arch/powerpc/ibm4xx/dev/if_emac.c,v
retrieving revision 1.28
diff -u -r1.28 if_emac.c
--- powerpc/ibm4xx/dev/if_emac.c	4 Mar 2007 06:00:36 -0000	1.28
+++ powerpc/ibm4xx/dev/if_emac.c	17 Mar 2007 01:35:29 -0000
@@ -524,7 +524,7 @@
  * Device shutdown routine.
  */
 static void
-emac_shutdown(void *arg)
+emac_shutdown(int why, void *arg)
 {
 	struct emac_softc *sc = arg;
 
Index: prep/prep/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/prep/prep/machdep.c,v
retrieving revision 1.66
diff -u -r1.66 machdep.c
--- prep/prep/machdep.c	9 Feb 2007 21:55:11 -0000	1.66
+++ prep/prep/machdep.c	17 Mar 2007 01:35:29 -0000
@@ -350,7 +350,7 @@
 		oea_dumpsys();
 
 halt_sys:
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	if (howto & RB_HALT) {
                 printf("\n");
Index: sandpoint/sandpoint/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/sandpoint/sandpoint/machdep.c,v
retrieving revision 1.35
diff -u -r1.35 machdep.c
--- sandpoint/sandpoint/machdep.c	9 Feb 2007 21:55:11 -0000	1.35
+++ sandpoint/sandpoint/machdep.c	17 Mar 2007 01:35:29 -0000
@@ -318,13 +318,13 @@
 	}
 	splhigh();
 	if (howto & RB_HALT) {
-		doshutdownhooks();
+		doshutdownhooks(howto);
 		printf("halted\n\n");
 		while(1);
 	}
 	if (!cold && (howto & RB_DUMP))
 		oea_dumpsys();
-	doshutdownhooks();
+	doshutdownhooks(howto);
 	printf("rebooting\n\n");
 	if (what && *what) {
 		if (strlen(what) > sizeof str - 5)
Index: sbmips/sbmips/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/sbmips/sbmips/machdep.c,v
retrieving revision 1.35
diff -u -r1.35 machdep.c
--- sbmips/sbmips/machdep.c	6 Mar 2007 00:45:06 -0000	1.35
+++ sbmips/sbmips/machdep.c	17 Mar 2007 01:35:29 -0000
@@ -420,7 +420,7 @@
 		dumpsys();
 
 haltsys:
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	if (howto & RB_HALT) {
 		printf("\n");
Index: sgimips/mace/if_mec.c
===================================================================
RCS file: /cvsroot/src/sys/arch/sgimips/mace/if_mec.c,v
retrieving revision 1.10
diff -u -r1.10 if_mec.c
--- sgimips/mace/if_mec.c	4 Mar 2007 06:00:40 -0000	1.10
+++ sgimips/mace/if_mec.c	17 Mar 2007 01:35:30 -0000
@@ -1473,7 +1473,7 @@
 }
 
 STATIC void
-mec_shutdown(void *arg)
+mec_shutdown(int why, void *arg)
 {
 	struct mec_softc *sc = arg;
 
Index: sgimips/sgimips/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/sgimips/sgimips/machdep.c,v
retrieving revision 1.110
diff -u -r1.110 machdep.c
--- sgimips/sgimips/machdep.c	6 Mar 2007 12:41:52 -0000	1.110
+++ sgimips/sgimips/machdep.c	17 Mar 2007 01:35:30 -0000
@@ -716,7 +716,7 @@
 
 haltsys:
 
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	/*
 	 * Calling ARCBIOS->PowerDown() results in a "CP1 unusable trap"
Index: sh5/sh5/sh5_machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/sh5/sh5/sh5_machdep.c,v
retrieving revision 1.8
diff -u -r1.8 sh5_machdep.c
--- sh5/sh5/sh5_machdep.c	11 Dec 2005 12:19:02 -0000	1.8
+++ sh5/sh5/sh5_machdep.c	17 Mar 2007 01:35:30 -0000
@@ -124,7 +124,7 @@
 #endif
 
 haltsys:
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	if (howto & RB_HALT) {
 		printf("\n");
Index: shark/ofw/ofw.c
===================================================================
RCS file: /cvsroot/src/sys/arch/shark/ofw/ofw.c,v
retrieving revision 1.38
diff -u -r1.38 ofw.c
--- shark/ofw/ofw.c	8 Mar 2007 20:48:39 -0000	1.38
+++ shark/ofw/ofw.c	17 Mar 2007 01:35:31 -0000
@@ -352,7 +352,7 @@
 	 * and crash to earth fast
 	 */
 	if (cold) {
-		doshutdownhooks();
+		doshutdownhooks(howto);
 		printf("Halted while still in the ICE age.\n");
 		printf("The operating system has halted.\n");
 		goto ofw_exit;
@@ -376,7 +376,7 @@
 		dumpsys();
 	
 	/* Run any shutdown hooks */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	/* Make sure IRQ's are disabled */
 	IRQdisable;
Index: sparc/dev/fd.c
===================================================================
RCS file: /cvsroot/src/sys/arch/sparc/dev/fd.c,v
retrieving revision 1.130
diff -u -r1.130 fd.c
--- sparc/dev/fd.c	9 Mar 2007 08:59:00 -0000	1.130
+++ sparc/dev/fd.c	17 Mar 2007 01:35:31 -0000
@@ -990,7 +990,7 @@
 }
 
 void
-fd_motor_off(void *arg)
+fd_motor_off(int why, void *arg)
 {
 	struct fd_softc *fd = arg;
 	int s;
Index: sparc/sparc/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/sparc/sparc/machdep.c,v
retrieving revision 1.271
diff -u -r1.271 machdep.c
--- sparc/sparc/machdep.c	4 Mar 2007 22:12:44 -0000	1.271
+++ sparc/sparc/machdep.c	17 Mar 2007 01:35:32 -0000
@@ -1073,7 +1073,7 @@
  haltsys:
 
 	/* Run any shutdown hooks. */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	/* If powerdown was requested, do it. */
 	if ((howto & RB_POWERDOWN) == RB_POWERDOWN) {
Index: sparc64/dev/fdc.c
===================================================================
RCS file: /cvsroot/src/sys/arch/sparc64/dev/fdc.c,v
retrieving revision 1.9
diff -u -r1.9 fdc.c
--- sparc64/dev/fdc.c	9 Mar 2007 21:02:30 -0000	1.9
+++ sparc64/dev/fdc.c	17 Mar 2007 01:35:32 -0000
@@ -1182,7 +1182,7 @@
 }
 
 void
-fd_motor_off(void *arg)
+fd_motor_off(int why, void *arg)
 {
 	struct fd_softc *fd = arg;
 	int s;
Index: sparc64/dev/sab.c
===================================================================
RCS file: /cvsroot/src/sys/arch/sparc64/dev/sab.c,v
retrieving revision 1.37
diff -u -r1.37 sab.c
--- sparc64/dev/sab.c	4 Mar 2007 06:00:49 -0000	1.37
+++ sparc64/dev/sab.c	17 Mar 2007 01:35:33 -0000
@@ -1309,7 +1309,7 @@
 }
 
 void
-sabtty_shutdown(void *vsc)
+sabtty_shutdown(int why, void *vsc)
 {
 	struct sabtty_softc *sc = vsc;
 
Index: sparc64/sparc64/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/sparc64/sparc64/machdep.c,v
retrieving revision 1.197
diff -u -r1.197 machdep.c
--- sparc64/sparc64/machdep.c	4 Mar 2007 07:54:07 -0000	1.197
+++ sparc64/sparc64/machdep.c	17 Mar 2007 01:35:33 -0000
@@ -607,7 +607,7 @@
 
 haltsys:
 	/* Run any shutdown hooks. */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	/* If powerdown was requested, do it. */
 	if ((howto & RB_POWERDOWN) == RB_POWERDOWN) {
Index: sun2/sun2/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/sun2/sun2/machdep.c,v
retrieving revision 1.47
diff -u -r1.47 machdep.c
--- sun2/sun2/machdep.c	4 Mar 2007 06:00:52 -0000	1.47
+++ sun2/sun2/machdep.c	17 Mar 2007 01:35:33 -0000
@@ -561,7 +561,7 @@
 		dumpsys();
 
 	/* run any shutdown hooks */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	if (howto & RB_HALT) {
 	haltsys:
Index: sun3/dev/fd.c
===================================================================
RCS file: /cvsroot/src/sys/arch/sun3/dev/fd.c,v
retrieving revision 1.55
diff -u -r1.55 fd.c
--- sun3/dev/fd.c	4 Mar 2007 13:59:47 -0000	1.55
+++ sun3/dev/fd.c	17 Mar 2007 01:35:34 -0000
@@ -767,7 +767,7 @@
 }
 
 void 
-fd_motor_off(void *arg)
+fd_motor_off(int why, void *arg)
 {
 	struct fd_softc *fd = arg;
 	int s;
Index: sun3/sun3/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/sun3/sun3/machdep.c,v
retrieving revision 1.182
diff -u -r1.182 machdep.c
--- sun3/sun3/machdep.c	4 Mar 2007 14:01:22 -0000	1.182
+++ sun3/sun3/machdep.c	17 Mar 2007 01:35:34 -0000
@@ -466,7 +466,7 @@
 		dumpsys();
 
 	/* run any shutdown hooks */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	if (howto & RB_HALT) {
 	haltsys:
Index: sun3/sun3x/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/sun3/sun3x/machdep.c,v
retrieving revision 1.108
diff -u -r1.108 machdep.c
--- sun3/sun3x/machdep.c	4 Mar 2007 14:01:22 -0000	1.108
+++ sun3/sun3x/machdep.c	17 Mar 2007 01:35:34 -0000
@@ -493,7 +493,7 @@
 		dumpsys();
 
 	/* run any shutdown hooks */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	if (howto & RB_HALT) {
 	haltsys:
Index: vax/vax/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/vax/vax/machdep.c,v
retrieving revision 1.158
diff -u -r1.158 machdep.c
--- vax/vax/machdep.c	4 Mar 2007 06:01:01 -0000	1.158
+++ vax/vax/machdep.c	17 Mar 2007 01:35:34 -0000
@@ -362,7 +362,7 @@
 	}
 	splhigh();		/* extreme priority */
 	if (howto & RB_HALT) {
-		doshutdownhooks();
+		doshutdownhooks(howto);
 		if (dep_call->cpu_halt)
 			(*dep_call->cpu_halt) ();
 		printf("halting (in tight loop); hit\n\t^P\n\tHALT\n\n");
Index: x68k/dev/pow.c
===================================================================
RCS file: /cvsroot/src/sys/arch/x68k/dev/pow.c,v
retrieving revision 1.15
diff -u -r1.15 pow.c
--- x68k/dev/pow.c	4 Mar 2007 06:01:07 -0000	1.15
+++ x68k/dev/pow.c	17 Mar 2007 01:35:35 -0000
@@ -302,7 +302,7 @@
 }
 
 static void 
-pow_check_switch(void *dummy)
+pow_check_switch(int why, void *dummy)
 {
 	extern int power_switch_is_off;
 
Index: x68k/x68k/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/x68k/x68k/machdep.c,v
retrieving revision 1.139
diff -u -r1.139 machdep.c
--- x68k/x68k/machdep.c	5 Mar 2007 20:51:11 -0000	1.139
+++ x68k/x68k/machdep.c	17 Mar 2007 01:35:35 -0000
@@ -499,7 +499,7 @@
 		dumpsys();
 
 	/* Run any shutdown hooks. */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 #if defined(PANICWAIT) && !defined(DDB)
 	if ((howto & RB_HALT) == 0 && panicstr) {

Index: xen/i386/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/xen/i386/machdep.c,v
retrieving revision 1.37
diff -u -r1.37 machdep.c
--- xen/i386/machdep.c	5 Mar 2007 03:31:29 -0000	1.37
+++ xen/i386/machdep.c	17 Mar 2007 01:35:36 -0000
@@ -778,7 +778,7 @@
 		dumpsys();
 
 haltsys:
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 #ifdef MULTIPROCESSOR
 	x86_broadcast_ipi(X86_IPI_HALT);
Index: zaurus/zaurus/machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/zaurus/zaurus/machdep.c,v
retrieving revision 1.4
diff -u -r1.4 machdep.c
--- zaurus/zaurus/machdep.c	29 Jan 2007 01:52:45 -0000	1.4
+++ zaurus/zaurus/machdep.c	17 Mar 2007 01:35:36 -0000
@@ -268,7 +268,7 @@
 	 * and crash to earth fast
 	 */
 	if (cold) {
-		doshutdownhooks();
+		doshutdownhooks(howto);
 		printf("The operating system has halted.\n");
 		printf("Please press any key to reboot.\n\n");
 		cngetc();
@@ -300,7 +300,7 @@
 		dumpsys();
 	
 	/* Run any shutdown hooks */
-	doshutdownhooks();
+	doshutdownhooks(howto);
 
 	/* Make sure IRQ's are disabled */
 	IRQdisable;
